## svt-vp9-dmo 0.3.0

=== CMakeLists.txt ===
# ~~~
# Copyright(c) 2019 Intel Corporation
# SPDX - License - Identifier: BSD - 2 - Clause - Patent
# ~~~

cmake_minimum_required(VERSION 2.8)
set(project_name "svt-vp9")

if("${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
    message(WARNING "Building in-source is highly not recommended\n"
                    "Please use the Build folder or create your own.")
endif()

option(YASM "Use yasm (if present in PATH)" ON)
if(YASM)
    find_program(YASM_EXE yasm)
    if(YASM_EXE AND NOT CMAKE_ASM_NASM_COMPILER MATCHES "yasm")
        set(CMAKE_ASM_NASM_COMPILER ${YASM_EXE})
        message(STATUS "Found YASM: ${YASM_EXE}")
    endif()
endif()

project(${project_name} C ASM_NASM)

if(NOT MSVC AND NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

include(GNUInstallDirs)
include(CheckCCompilerFlag)

if(CMAKE_BUILD_TYPE)
    message(STATUS "CMAKE_BUILD_TYPE = ${CMAKE_BUILD_TYPE}")
endif()
message(STATUS "CMAKE_C_COMPILER = ${CMAKE_C_COMPILER}")
message(STATUS "CMAKE_ASM_NASM_COMPILER = ${CMAKE_ASM_NASM_COMPILER}")
if(CMAKE_AR)
    message(STATUS "CMAKE_AR = ${CMAKE_AR}")
endif()
if(CMAKE_RANLIB)
    message(STATUS "CMAKE_RANLIB = ${CMAKE_RANLIB}")
endif()

if(NOT DEFINED CMAKE_INSTALL_PREFIX OR CMAKE_INSTALL_PREFIX STREQUAL "")
    set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "..." FORCE)
endif()
message(STATUS "CMAKE_INSTALL_PREFIX = ${CMAKE_INSTALL_PREFIX}")

set(SVT_VP9_VERSION_MAJOR "0")
set(SVT_VP9_VERSION_MINOR "3")
set(SVT_VP9_VERSION_PATCHLEVEL "0")

configure_file(${PROJECT_SOURCE_DIR}/Source/API/EbApiVersion.h.in ${PROJECT_SOURCE_DIR}/Source/API/EbApiVersion.h @ONLY)

if(NOT DEFINED SVT_VP9_VERSION OR SVT_VP9_VERSION STREQUAL "")
    set(
        SVT_VP9_VERSION
        "${SVT_VP9_VERSION_MAJOR}.${SVT_VP9_VERSION_MINOR}.${SVT_VP9_VERSION_PATCHLEVEL}"
        )
endif()
set(SVT_VP9_SOVERSION 1)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY
    ${PROJECT_SOURCE_DIR}/Bin/${CMAKE_BUILD_TYPE})
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY
    ${PROJECT_SOURCE_DIR}/Bin/${CMAKE_BUILD_TYPE})
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY
    ${PROJECT_SOURCE_DIR}/Bin/${CMAKE_BUILD_TYPE})

if(NOT CMAKE_INSTALL_BINDIR)
    set(CMAKE_INSTALL_BINDIR "bin")
endif()
if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
    set(CMAKE_INSTALL_LIBDIR "lib")
endif()
if(NOT DEFINED CMAKE_INSTALL_INCLUDEDIR)
    set(CMAKE_INSTALL_INCLUDEDIR "include")
endif()

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
if(CMAKE_VERSION VERSION_LESS "3.1")
    if(CMAKE_C_COMPILER_ID MATCHES "GNU|Clang")
        set(CMAKE_C_FLAGS "--std=gnu99 ${CMAKE_C_FLAGS}")
    endif()
else()
    set(CMAKE_C_STANDARD 99)
endif()
set(CAN_USE_ASSEMBLER TRUE)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

if(WIN32)
    set(CMAKE_ASM_NASM_FLAGS "${CMAKE_ASM_NASM_FLAGS} -DWIN64")
else()
    set(CMAKE_ASM_NASM_FLAGS "${CMAKE_ASM_NASM_FLAGS} -DUNIX64")
endif()

if(UNIX)
    if(APPLE)
        set(CMAKE_MACOSX_RPATH 1)
        set(CMAKE_C_ARCHIVE_CREATE
            "<CMAKE_AR> Scr <TARGET> <LINK_FLAGS> <OBJECTS>")
        set(CMAKE_CXX_ARCHIVE_CREATE
            "<CMAKE_AR> Scr <TARGET> <LINK_FLAGS> <OBJECTS>")
        set(CMAKE_C_ARCHIVE_FINISH
            "<CMAKE_RANLIB> -no_warning_for_no_symbols -c <TARGET>")
        set(CMAKE_CXX_ARCHIVE_FINISH
            "<CMAKE_RANLIB> -no_warning_for_no_symbols -c <TARGET>")
    else()
        set(CMAKE_EXE_LINKER_FLAGS
            "${CMAKE_EXE_LINKER_FLAGS} -z noexecstack -z relro -z now -pie ")
    endif()
endif()

set(flags_to_test
    -Wextra
    -Wformat
    -Wformat-security
    -fPIE
    -fPIC
    -D_FORTIFY_SOURCE=2
    #-flto
    -fvisibility=hidden
    /GS
    /sdl)
if(MSVC)
    list(APPEND flags_to_test /MP)
else()
    option(NATIVE "Build for native performance (march=native)")
    list(INSERT flags_to_test 0 -Wall)
    # for Mingw64 support, see
    # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=65782
    if(MINGW)
        list(APPEND flags_to_test -fno-asynchronous-unwind-tables -mxsave)
    else()
        list(APPEND flags_to_test -fstack-protector-strong)
    endif()
    if(NATIVE)
        list(APPEND flags_to_test -march=native)
    endif()
endif()
set(release_flags_to_test)
set(debug_flags_to_test)

if(MSVC)
    set(CMAKE_EXE_LINKER_FLAGS
        "${CMAKE_EXE_LINKER_FLAGS} /NXCompat /DynamicBase")
    set(CMAKE_SHARED_LINKER_FLAGS
        "${CMAKE_SHARED_LINKER_FLAGS} /NXCompat /DynamicBase")
endif()

macro(test_apply_compiler_flags)
    foreach(cflag ${ARGV})
        string(REGEX
               REPLACE "[^A-Za-z0-9]"
                       "_"
                       cflag_var
                       "${cflag}")
        set(test_c_flag "C_FLAG${cflag_var}")
        check_c_compiler_flag(${cflag} "${test_c_flag}")
        if(${test_c_flag})
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${cflag}")
        endif()
    endforeach()
    if(CMAKE_BUILD_TYPE MATCHES "[Dd][Ee][Bb][Uu][Gg]")
        message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: ${CMAKE_C_FLAGS}")
    endif()
endmacro()

test_apply_compiler_flags(${flags_to_test})

foreach(cflag ${release_flags_to_test})
    string(REGEX
           REPLACE "[^A-Za-z0-9]"
                   "_"
                   cflag_var
                   "${cflag}")
    set(test_c_flag "C_FLAG${cflag_var}")
    check_c_compiler_flag(${cflag} "${test_c_flag}")
    if(${test_c_flag})
        set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} ${cflag}")
    endif()
endforeach()
foreach(cflag ${debug_flags_to_test})
    string(REGEX
           REPLACE "[^A-Za-z0-9]"
                   "_"
                   cflag_var
                   "${cflag}")
    set(test_c_flag "C_FLAG${cflag_var}")
    check_c_compiler_flag(${cflag} "${test_c_flag}")
    if(${test_c_flag})
        set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} ${cflag}")
    endif()
endforeach()

if(CMAKE_ASM_NASM_OBJECT_FORMAT MATCHES "win")
    set(CMAKE_ASM_NASM_FLAGS_DEBUG "${CMAKE_ASM_NASM_FLAGS_DEBUG} -gcv8")
elseif(CMAKE_ASM_NASM_OBJECT_FORMAT MATCHES "macho")
    if(CMAKE_ASM_NASM_COMPILER MATCHES "nasm")
        set(CMAKE_ASM_NASM_FLAGS_DEBUG "${CMAKE_ASM_NASM_FLAGS_DEBUG} -gdwarf")
    elseif(CMAKE_ASM_NASM_COMPILER MATCHES "yasm")
        set(CMAKE_ASM_NASM_FLAGS_DEBUG "${CMAKE_ASM_NASM_FLAGS_DEBUG} -gnull")
    endif()
else()
    if(CMAKE_ASM_NASM_COMPILER MATCHES "nasm")
        set(CMAKE_ASM_NASM_FLAGS_DEBUG "${CMAKE_ASM_NASM_FLAGS_DEBUG} -gdwarf")
    elseif(CMAKE_ASM_NASM_COMPILER MATCHES "yasm")
        set(CMAKE_ASM_NASM_FLAGS_DEBUG "${CMAKE_ASM_NASM_FLAGS_DEBUG} -gdwarf2")
    endif()
endif()

# BUILD_SHARED_LIBS is a standard CMake variable, but we declare it here to make
# it prominent in the GUI.
option(BUILD_SHARED_LIBS "Build shared libraries (DLLs)." ON)
option(COVERAGE "Generate coverage report")
option(BUILD_APP "Build Enc App" ON)

# Prepare for Coveralls
if(COVERAGE AND NOT MSVC)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage")
endif()

# Add Subdirectories
add_subdirectory(Source/Lib/VPX)
add_subdirectory(Source/Lib/Codec)
add_subdirectory(Source/Lib/C_DEFAULT)
add_subdirectory(Source/Lib/ASM_SSE2)
add_subdirectory(Source/Lib/ASM_SSSE3)
add_subdirectory(Source/Lib/ASM_SSE4_1)
add_subdirectory(Source/Lib/ASM_AVX2)
if(BUILD_APP)
    add_subdirectory(Source/App)
endif()

install(DIRECTORY ${PROJECT_SOURCE_DIR}/Source/API/
        DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/svt-vp9"
        FILES_MATCHING
        PATTERN "*.h")

=== gstreamer-plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

if(NOT MSVC AND NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

project(gst-svt-vp9 C)

set(POSITION_INDEPENDENT_CODE ON)

include(CheckCCompilerFlag)

find_package(PkgConfig REQUIRED)
pkg_check_modules(GSTREAMER REQUIRED gstreamer-1.0>=1.8)
pkg_check_modules(GSTREAMER_BASE REQUIRED gstreamer-base-1.0>=1.8)
pkg_check_modules(GSTREAMER_VIDEO REQUIRED gstreamer-video-1.0>=1.8)
pkg_check_modules(SVT_VP9 REQUIRED SvtVp9Enc)
include_directories(${GSTREAMER_INCLUDE_DIRS}
                    ${GSTREAMER_BASE_INCLUDE_DIRS}
                    ${GSTREAMER_VIDEO_INCLUDE_DIRS}
                    ${SVT_VP9_INCLUDE_DIRS})

set(flags_to_test
    -Wextra
    -Wformat
    -Wformat-security
    -fstack-protector-strong
    -fPIE
    -fPIC
    -flto
    -D_FORTIFY_SOURCE=2)
if(MSVC)
    list(APPEND flags_to_test /MP)
else()
    list(INSERT flags_to_test 0 -Wall)
endif()

foreach(flag ${flags_to_test})
    string(REGEX
           REPLACE "[^A-Za-z0-9]"
                   "_"
                   flag_var
                   "${flag}")
    set(test_c_flag "C_FLAG${flag_var}")
    check_c_compiler_flag(${flag} "${test_c_flag}")
    if(${test_c_flag})
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${flag}")
    endif()
endforeach()

if(UNIX AND NOT APPLE)
    set(CMAKE_SHARED_LINKER_FLAGS
        "${CMAKE_SHARED_LINKER_FLAGS} -z noexecstack -z relro -z now -pie")
endif()

add_library(gstsvtvp9enc SHARED gstsvtvp9enc.c)
target_link_libraries(gstsvtvp9enc
                      ${GSTREAMER_LIBRARIES}
                      ${GSTREAMER_BASE_LIBRARIES}
                      ${GSTREAMER_VIDEO_LIBRARIES}
                      ${SVT_VP9_LIBRARIES})

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX "${GSTREAMER_LIBDIR}")
    message("Install to: " ${GSTREAMER_LIBDIR})
endif()

install(TARGETS gstsvtvp9enc LIBRARY DESTINATION gstreamer-1.0)

message(STATUS "Build: " ${CMAKE_BUILD_TYPE})

=== Source/App/CMakeLists.txt ===
# ~~~
# Copyright(c) 2019 Intel Corporation
# SPDX - License - Identifier: BSD - 2 - Clause - Patent
# ~~~

# APP Directory CMakeLists.txt

# Include Subdirectories
include_directories(${PROJECT_SOURCE_DIR}/Source/API
                    ${PROJECT_SOURCE_DIR}/Bin/${CMAKE_BUILD_TYPE})

file(GLOB
     all_files
     "*.h"
     "../API/*.h"
     "../../Config/*.cfg"
     "*.c"
     "*.asm")

# App Source Files
add_executable(SvtVp9EncApp ${all_files})

# ********** SET COMPILE FLAGS************

# Link the Encoder App
target_link_libraries(SvtVp9EncApp SvtVp9Enc)

if(UNIX)
    target_link_libraries(SvtVp9EncApp pthread)
    if(NOT APPLE)
        target_link_libraries(SvtVp9EncApp rt m) # math library
    endif()
endif()

install(TARGETS SvtVp9EncApp RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== Source/Lib/C_DEFAULT/CMakeLists.txt ===
﻿# ~~~
# Copyright(c) 2019 Intel Corporation
# SPDX - License - Identifier: BSD - 2 - Clause - Patent
# ~~~

# C_DEFAULT Directory CMakeLists.txt

# Include Encoder Subdirectories
include_directories(${PROJECT_SOURCE_DIR}/Source/API
                    ${PROJECT_SOURCE_DIR}/Source/Lib/Codec
                    ${PROJECT_SOURCE_DIR}/Source/Lib/C_DEFAULT
                    ${PROJECT_SOURCE_DIR}/Source/Lib/VPX)

file(GLOB
     all_files
     "*.h"
     "*.c")

# Utility Source Files
add_library(VP9_C_DEFAULT OBJECT ${all_files})

=== Source/Lib/Codec/CMakeLists.txt ===
﻿# ~~~
# Copyright(c) 2019 Intel Corporation
# SPDX - License - Identifier: BSD - 2 - Clause - Patent
# ~~~

# Include Encoder Subdirectories
include_directories(${PROJECT_SOURCE_DIR}/Source/API
                    ${PROJECT_SOURCE_DIR}/Source/Lib/VPX
                    ${PROJECT_SOURCE_DIR}/Source/Lib/Codec
                    ${PROJECT_SOURCE_DIR}/Source/Lib/C_DEFAULT
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_SSE2
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_SSSE3
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_SSE4_1
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_AVX2)

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY
    ${PROJECT_SOURCE_DIR}/Bin/${CMAKE_BUILD_TYPE})
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY
    ${PROJECT_SOURCE_DIR}/Bin/${CMAKE_BUILD_TYPE})

file(GLOB
     all_files
     "*.h"
     "*.c")

# Encoder Lib Source Files
add_library(SvtVp9Enc
            $<TARGET_OBJECTS:VP9_ASM_AVX2>
            $<TARGET_OBJECTS:VP9_ASM_SSE2>
            $<TARGET_OBJECTS:VP9_ASM_SSE4_1>
            $<TARGET_OBJECTS:VP9_ASM_SSSE3>
            $<TARGET_OBJECTS:VP9_C_DEFAULT>
            $<TARGET_OBJECTS:libVPX>
            ${all_files})

if(UNIX)
    set(LIBS "-lpthread ${LIBS}")
    if(NOT APPLE)
        list(APPEND PLATFORM_LIBS m)
        set(LIBS "-lm ${LIBS}")
    endif()

    # Pass version script to ensure that only global-namespace symbols are
    # exported.
    if(APPLE)
        set(VERSION_SCRIPT ${PROJECT_SOURCE_DIR}/Source/API/EbExport_list)
        set(
            CMAKE_SHARED_LINKER_FLAGS
            "${CMAKE_SHARED_LINKER_FLAGS} -exported_symbols_list=${VERSION_SCRIPT}"
            )
    else()
        set(VERSION_SCRIPT ${PROJECT_SOURCE_DIR}/Source/API/EbApi.version)
        set(
            CMAKE_SHARED_LINKER_FLAGS
            "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--version-script=${VERSION_SCRIPT}"
            )
    endif()
    set_target_properties(SvtVp9Enc PROPERTIES LINK_DEPENDS ${VERSION_SCRIPT})
endif()

target_link_libraries(SvtVp9Enc ${PLATFORM_LIBS})

if(COVERAGE)
    if(CMAKE_C_COMPILER_ID MATCHES "GNU")
        set(LIBS "-lgcov ${LIBS}")
    else(CMAKE_C_COMPILER_ID MATCHES "Clang")
        set(LIBS "--coverage ${LIBS}")
    endif()
endif()

add_dependencies(SvtVp9Enc
                 libVPX
                 VP9_C_DEFAULT
                 VP9_ASM_SSE2
                 VP9_ASM_SSSE3
                 VP9_ASM_SSE4_1
                 VP9_ASM_AVX2)

# Set version number for SONAME.
set_target_properties(SvtVp9Enc PROPERTIES SOVERSION ${SVT_VP9_SOVERSION})
configure_file(../pkg-config.pc.in ${CMAKE_BINARY_DIR}/SvtVp9Enc.pc @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/SvtVp9Enc.pc
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
install(TARGETS SvtVp9Enc DESTINATION "${CMAKE_INSTALL_LIBDIR}")
install(TARGETS SvtVp9Enc
        LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
        ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
        RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")

=== debian/changelog ===
svt-vp9-dmo (0.3.0-dmo2) unstable; urgency=medium

  * Fixes Section for all packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Mar 2021 11:15:34 +0100

svt-vp9-dmo (0.3.0-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Oct 2020 08:49:12 +0100

svt-vp9-dmo (0.2.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 22 Jul 2020 08:37:02 +0200

svt-vp9-dmo (0.2.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Jul 2020 08:27:10 +0200

svt-vp9-dmo (0.2.0-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 May 2020 08:21:04 +0200

svt-vp9-dmo (0.1.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Oct 2019 13:47:20 +0200

=== debian/control ===
Source: svt-vp9-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/OpenVisualCloud/SVT-VP9
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, ninja-build, nasm

Package: svt-vp9
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scalable Video Technology for VP9 Encoder 
 The Scalable Video Technology for VP9 Encoder (SVT-VP9 Encoder) is a
 VP9-compliant encoder library core. The SVT-VP9 Encoder development is a
 work-in-progress targeting performance levels applicable to both VOD and
 Live encoding/transcoding video applications.
 .
 The SVT-VP9 Encoder is being optimized to achieve excellent performance
 levels currently supporting 10 density-quality presets (please refer to the
 user guide for more details) on a system with a dual Intel® Xeon® Scalable
 processor targeting:
 .
   * Real-time encoding of up to two 4Kp60 streams on the Gold 6140 with M8.
 .
 SVT-VP9 Encoder also supports 3 modes:
 .
   * A visually optimized mode for visual quality (-tune 0)
 .
   * An PSNR/SSIM optimized mode for PSNR / SSIM benchmarking (-tune 1
     (Default setting))
 .
   * An VMAF optimized mode for VMAF benchmarking (-tune 2)

Package: libsvtvp9enc1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scalable Video Technology for VP9 Encoder - runtime files
 The Scalable Video Technology for VP9 Encoder (SVT-VP9 Encoder) is a
 VP9-compliant encoder library core. The SVT-VP9 Encoder development is a
 work-in-progress targeting performance levels applicable to both VOD and
 Live encoding/transcoding video applications.
 .
 The SVT-VP9 Encoder is being optimized to achieve excellent performance
 levels currently supporting 10 density-quality presets (please refer to the
 user guide for more details) on a system with a dual Intel® Xeon® Scalable
 processor targeting:
 .
   * Real-time encoding of up to two 4Kp60 streams on the Gold 6140 with M8.
 .
 SVT-VP9 Encoder also supports 3 modes:
 .
   * A visually optimized mode for visual quality (-tune 0)
 .
   * An PSNR/SSIM optimized mode for PSNR / SSIM benchmarking (-tune 1
     (Default setting))
 .
   * An VMAF optimized mode for VMAF benchmarking (-tune 2)
 .
 This package contains the runtime files.

Package: libsvtvp9enc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsvtvp9enc1 (= ${binary:Version}), ${misc:Depends}
Description: Scalable Video Technology for VP9 Encoder - development files
 The Scalable Video Technology for VP9 Encoder (SVT-VP9 Encoder) is a
 VP9-compliant encoder library core. The SVT-VP9 Encoder development is a
 work-in-progress targeting performance levels applicable to both VOD and
 Live encoding/transcoding video applications.
 .
 The SVT-VP9 Encoder is being optimized to achieve excellent performance
 levels currently supporting 10 density-quality presets (please refer to the
 user guide for more details) on a system with a dual Intel® Xeon® Scalable
 processor targeting:
 .
   * Real-time encoding of up to two 4Kp60 streams on the Gold 6140 with M8.
 .
 SVT-VP9 Encoder also supports 3 modes:
 .
   * A visually optimized mode for visual quality (-tune 0)
 .
   * An PSNR/SSIM optimized mode for PSNR / SSIM benchmarking (-tune 1
     (Default setting))
 .
   * An VMAF optimized mode for VMAF benchmarking (-tune 2)
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_install:
	find debian/tmp -name libSvtVp9Enc.so -delete

	dh_install

override_dh_clean:
	dh_clean Bin/None/* Source/API/EbApiVersion.h

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/OpenVisualCloud/SVT-VP9/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## svt-vp9-dmo 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # SPDX - License - Identifier: BSD - 2 - Clause - Patent
 # ~~~
 
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.5)
 set(project_name "svt-vp9")
 
 if("${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
@@ -48,7 +48,7 @@
 
 set(SVT_VP9_VERSION_MAJOR "0")
 set(SVT_VP9_VERSION_MINOR "3")
-set(SVT_VP9_VERSION_PATCHLEVEL "0")
+set(SVT_VP9_VERSION_PATCHLEVEL "1")
 
 configure_file(${PROJECT_SOURCE_DIR}/Source/API/EbApiVersion.h.in ${PROJECT_SOURCE_DIR}/Source/API/EbApiVersion.h @ONLY)
 
@@ -119,11 +119,9 @@
     -fPIC
     -D_FORTIFY_SOURCE=2
     #-flto
-    -fvisibility=hidden
-    /GS
-    /sdl)
+    -fvisibility=hidden)
 if(MSVC)
-    list(APPEND flags_to_test /MP)
+    list(APPEND flags_to_test /MP /GS /sdl)
 else()
     option(NATIVE "Build for native performance (march=native)")
     list(INSERT flags_to_test 0 -Wall)

=== Source/Lib/ASM_AVX2/CMakeLists.txt ===
﻿# ~~~
# Copyright(c) 2019 Intel Corporation
# SPDX - License - Identifier: BSD - 2 - Clause - Patent
# ~~~

# ASM_AVX2 Directory CMakeLists.txt

# Include Encoder Subdirectories
include_directories(${PROJECT_SOURCE_DIR}/Source/API
                    ${PROJECT_SOURCE_DIR}/Source/Lib/Codec
                    ${PROJECT_SOURCE_DIR}/Source/Lib/C_DEFAULT
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_SSE2
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_SSSE3
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_SSE4_1
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_AVX2
                    ${PROJECT_SOURCE_DIR}/Source/Lib/VPX)

set(flags_to_test -mavx2)

if(CMAKE_C_COMPILER_ID STREQUAL "Intel")
    if(WIN32)
        # Intel Windows (*Note - The Warning level /W0 should be made to /W4 at
        # some point)
        list(APPEND flags_to_test /Qdiag-disable:10010,10148,10157 /W0)
    else()
        list(APPEND flags_to_test -static-intel -w)
    endif()
endif()

if(MSVC)
    list(APPEND flags_to_test /arch:AVX2)
endif()

test_apply_compiler_flags(${flags_to_test})

file(GLOB
     all_files
     "*.h"
     "*.c"
     "*.asm")

add_library(VP9_ASM_AVX2 OBJECT ${all_files})

=== Source/Lib/ASM_SSE2/CMakeLists.txt ===
﻿# ~~~
# Copyright(c) 2019 Intel Corporation
# SPDX - License - Identifier: BSD - 2 - Clause - Patent
# ~~~

# ASM_SSE2 Directory CMakeLists.txt

# Include Encoder Subdirectories
include_directories(${PROJECT_SOURCE_DIR}/Source/API
                    ${PROJECT_SOURCE_DIR}/Source/Lib/Codec
                    ${PROJECT_SOURCE_DIR}/Source/Lib/C_DEFAULT
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_SSE2
                    ${PROJECT_SOURCE_DIR}/Source/Lib/VPX)

set(flags_to_test -msse2)

if(CMAKE_C_COMPILER_ID STREQUAL "Intel" AND NOT WIN32)
    list(APPEND flags_to_test -static-intel -w)
endif()

test_apply_compiler_flags(${flags_to_test})

file(GLOB
     all_files
     "*.h"
     "*.c"
     "*.asm")

add_library(VP9_ASM_SSE2 OBJECT ${all_files})

=== Source/Lib/ASM_SSE4_1/CMakeLists.txt ===
# ~~~
# Copyright(c) 2019 Intel Corporation
# SPDX - License - Identifier: BSD - 2 - Clause - Patent
# ~~~

# ASM_SSE4.1 Directory CMakeLists.txt

# Include Encoder Subdirectories
include_directories(${PROJECT_SOURCE_DIR}/Source/API
                    ${PROJECT_SOURCE_DIR}/Source/Lib/Codec
                    ${PROJECT_SOURCE_DIR}/Source/Lib/C_DEFAULT
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_SSE2
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_SSSE3
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_SSE4_1
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_AVX2
                    ${PROJECT_SOURCE_DIR}/Source/Lib/VPX)

set(flags_to_test -msse4.1)

if(CMAKE_C_COMPILER_ID STREQUAL "Intel" AND NOT WIN32)
    list(APPEND flags_to_test -static-intel -w)
endif()

test_apply_compiler_flags(${flags_to_test})

file(GLOB
     all_files
     "*.h"
     "*.c"
     "*.asm")

add_library(VP9_ASM_SSE4_1 OBJECT ${all_files})

=== Source/Lib/ASM_SSSE3/CMakeLists.txt ===
﻿# ~~~
# Copyright(c) 2019 Intel Corporation
# SPDX - License - Identifier: BSD - 2 - Clause - Patent
# ~~~

# ASM_SSSE3 Directory CMakeLists.txt

# Include Encoder Subdirectories
include_directories(${PROJECT_SOURCE_DIR}/Source/API
                    ${PROJECT_SOURCE_DIR}/Source/Lib/Codec
                    ${PROJECT_SOURCE_DIR}/Source/Lib/VPX
                    ${PROJECT_SOURCE_DIR}/Source/Lib/C_DEFAULT
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_SSE2
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_SSSE3
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_SSE4_1
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_AVX2)

set(flags_to_test -mssse3)

if(CMAKE_C_COMPILER_ID STREQUAL "Intel" AND NOT WIN32)
    list(APPEND flags_to_test -static-intel -w)
endif()

test_apply_compiler_flags(${flags_to_test})

file(GLOB
     all_files
     "*.h"
     "*.c"
     "*.asm")

add_library(VP9_ASM_SSSE3 OBJECT ${all_files})

=== Source/Lib/VPX/CMakeLists.txt ===
﻿# ~~~
# Copyright(c) 2019 Intel Corporation
# SPDX - License - Identifier: BSD - 2 - Clause - Patent
# ~~~

# VPX Directory CMakeLists.txt

# Include Encoder Subdirectories
include_directories(${PROJECT_SOURCE_DIR}/Source/API
                    ${PROJECT_SOURCE_DIR}/Source/Lib/Codec
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_AVX2
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_SSE2
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_SSE4_1
                    ${PROJECT_SOURCE_DIR}/Source/Lib/ASM_SSSE3
                    ${PROJECT_SOURCE_DIR}/Source/Lib/C_DEFAULT
                    ${PROJECT_SOURCE_DIR}/Source/Lib/VPX)

file(GLOB
     all_vpx_files
     "*.h"
     "*.c")

# VPX Source Files
add_library(libVPX OBJECT ${all_vpx_files})

=== debian/changelog ===
svt-vp9-dmo (0.3.1-dmo1) unstable; urgency=medium

  * ew upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Dec 2025 08:23:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/OpenVisualCloud/SVT-VP9
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, nasm
 
 Package: svt-vp9

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_clean:
	dh_clean Source/API/EbApiVersion.h \
	Bin/RelWithDebInfo/*

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/OpenVisualCloud/SVT-VP9/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
